package com.steering.pss.sale.order.bomGeneration.model;

/**
 * BOM锻造
 * 
 * @author Administrator
 * 
 */
public class DesignBomCEntity {
	/**
	 * BOM
	 */
	private String bom;
	/**
	 * 投入物料编码(配料方案)
	 */
	private String inMaterialNo;
	/**
	 * 投入物料描述(配料方案)
	 */
	private String inMaterialDesc;
	/**
	 * 物料编码
	 */
	private String outMaterialNo;
	/**
	 * 物料描述
	 */
	private String outMaterialDesc;

	public DesignBomCEntity() {
		bom = "";
		inMaterialNo = "";
		inMaterialDesc = "";
		outMaterialNo = "";
		outMaterialDesc = "";
	}

	/**
	 * BOM
	 * 
	 * @return value
	 */
	public String getBom() {
		return bom;
	}

	/**
	 * BOM
	 * 
	 * @param bom
	 *            value
	 */
	public void setBom(String bom) {
		this.bom = bom;
	}

	/**
	 * 投入物料编码(配料方案)
	 * 
	 * @return value
	 */
	public String getInMaterialNo() {
		return inMaterialNo;
	}

	/**
	 * 投入物料编码(配料方案)
	 * 
	 * @param inMaterialNo
	 *            value
	 */
	public void setInMaterialNo(String inMaterialNo) {
		this.inMaterialNo = inMaterialNo;
	}

	/**
	 * 投入物料描述(配料方案)
	 * 
	 * @return value
	 */
	public String getInMaterialDesc() {
		return inMaterialDesc;
	}

	/**
	 * 投入物料描述(配料方案)
	 * 
	 * @param inMaterialDesc
	 *            value
	 */
	public void setInMaterialDesc(String inMaterialDesc) {
		this.inMaterialDesc = inMaterialDesc;
	}

	/**
	 * 物料编码
	 * 
	 * @return value
	 */
	public String getOutMaterialNo() {
		return outMaterialNo;
	}

	/**
	 * 物料编码
	 * 
	 * @param outMaterialNo
	 *            value
	 */
	public void setOutMaterialNo(String outMaterialNo) {
		this.outMaterialNo = outMaterialNo;
	}

	/**
	 * 物料描述
	 * 
	 * @return value
	 */
	public String getOutMaterialDesc() {
		return outMaterialDesc;
	}

	/**
	 * 物料描述
	 * 
	 * @param outMaterialDesc
	 *            value
	 */
	public void setOutMaterialDesc(String outMaterialDesc) {
		this.outMaterialDesc = outMaterialDesc;
	}
}
